%define version 0.5.5
%define release %mkrel 1

Summary:	Secure chat client for SILC (Secure Internet Live Conferencing) protocol
Name:		silky
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Chat
URL:		http://silky.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libglade2.0-devel
BuildRequires:	silc-toolkit-devel >= 0.9.12-2mdk
BuildRequires:	ImageMagick desktop-file-utils
BuildRequires:	automake1.9

%description
Silky is a secure chat client for SILC (Secure Internet Live
Conferencing) protocol, which is very similar to IRC in operation;
the main difference between SILC and IRC is encryption. Silky is
written in GTK+ toolkit.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std gnomemenudir=%{_datadir}/applications

rm -rf %{buildroot}%{_prefix}/doc

# icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -D -m 644       pixmaps/%{name}_logo_small.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/%{name}_logo_small.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/%{name}_logo_small.png %{buildroot}%{_miconsdir}/%{name}.png

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 longtitle="Secure chat client" \
 needs="x11" \
 section="Internet/Chat" \
 title="Silky"
_EOF_

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Network;IRCClient" \
  --add-category="X-MandrivaLinux-Internet-Chat" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README ReleaseNotes
#%config(noreplace) %{_sysconfdir}/silky
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Sun Dec 10 2006 Emmanuel Andry <eandry@mandriva.org> 0.5.5-1mdv2007.0
+ Revision: 94405
- New version 0.5.5
  xdg menu
  drop patch
- Import silky



* Wed May 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.2-2mdk
- Rebuild

* Sun Jan 02 2005 Abel Cheung <deaddog@mandrake.org> 0.5.2-1mdk
- First Mandrakelinux package
- P0: move config files to folder under /etc
